LeetCode专题 分而治之

更新Xcode5.0之后,没有gcc可用,求助

lauhonyeung 发布于 2013年11月11日
无人欣赏。

更新Xcode5.0之后,没有gcc可用。

共6条回复
lauhonyeung 回复于 2013年11月11日

自己解决了,把XCode4.x的llvm-gcc移植过去XCode5.0,不知道能不能通过苹果审核?

sagacity 回复于 2013年11月12日

装下 command-line tools不就完了么

lauhonyeung 回复于 2013年11月12日

2楼 @sagacity mac哥你好,我微信有关注你,嘻嘻。 我遇到的问题是XCode5.0把gcc移除了,build setting里面没有,而不是命令行没有, 命令行的话就算不用command-line tools,也可以用brew自己装。

sagacity 回复于 2013年11月12日

3楼 @lauhonyeung 谢谢关注哈,标题太误导人了

tinyfool 回复于 2013年11月12日

3楼 @lauhonyeung 你为什么一定要用gcc?

lauhonyeung 回复于 2013年11月12日

5楼 @tinyfool

是为了在c++方便地写法比如 onEvent(&EventFoo(bar))

如果用gcc,加上-fpermissive可以通过编译 但是如果是llvm就不行了,始终都会提示taking address of temporary

登录 或者 注册